Skip to content

Update XML DSP Pop Feed

This endpoint updates DSP Pop Feed.

POST https://adelion.com/api/xml/dsppopfeed/update
ParameterTypeDescriptionRequirement
IdintDSP Pop Feed ID.required
NamestringDSP Pop Feed’s name.optional
Tagsint[]List of Tags’ IDs.optional
FeedUrlUsEaststringDSP Pop Feed’s URL for us-east region.optional
FeedUrlEustringDSP Pop Feed’s URL for eu region.optional
FeedUrlApacstringDSP Pop Feed’s URL for apac region.optional
StatsApistringDSP Pop Feed’s statistics API URL.optional
StatsDashboardUrlstringDSP RTB Feed’s statistics dashboard URL.optional
DirectUrlstringDirect URL to redirect to for DSP RTB Feed.optional
FixedSpendCpcfloatFixed CPC bid to spend on publisher for Direct Link. Only applicable is Direct URL is set.optional
MaxQpsintMaximum queries per second - Maximum number of requests to make to the DSP Pop Feed in one second. Set to 0 for unlimited requests.optional
AutoOptimizeintEnable automatic requests optimization. 0 - Disabled, 1 - Enabled.optional
PriceImp1000intDetermines if bid price received from DSP Pop Feed is expressed as price for 1 impression or 1000 impressions. 0 - 1 impression, 1 - 1000 impressions.optional
SendOriginalSiteintSend source site received from publisher instead of hiding it with platform’s site. 0 - Disabled, 1 - Enabled.optional
RequestsDailyLimitintNumber of requests to make per day. The system will even out distribution of requests throughout the day, ie. “day shaping”. Set to 0 for unlimited requests.optional
BidsDailyLimitintNumber of bids per day. The system will even out distribution of bids throughout the day, ie. “day shaping”. Set to 0 for unlimited bids.optional
ImpressionsDailyLimitintNumber of impressions per day. The system will even out distribution of impressions throughout the day, ie. “day shaping”. Set to 0 for unlimited impressions.optional
ImpressionsLimitPerIpintDaily limit of impressions per IP address. Set to 0 for unlimited impressions per IP address.optional
RevenueDailyLimitfloatMaximum daily amount (USD) to earn from advertiser. Set to 0 for unlimited amount.optional
MaxBidfloorfloatDSP Pop Feed will not participate in auction if connected supply endpoint has Bidfloor greater than this value.optional
MinTmaxintDSP Pop Feed will not participate in auction if connected supply endpoint has Tmax less than this value.optional
MaxIvtfloatDSP Pop Feed will not participate in auction if connected supply endpoint has inventory with IVT greater than this value.optional
DomainsBrandsListModeintBlock or allow publisher domains or brand names: 0 - Blacklist, 1 - Whitelist.optional
DomainsBrandsListint[]List of Domain Lists’ IDs to block or allow.optional
PubIdListModeintBlock or allow Pub IDs: 0 - Blacklist, 1 - Whitelist.optional
PubIdListstringList of Pub IDs to block or allow, separated by new line.optional
IpBlacklistsint[]List of IP Lists’ IDs to use for IP block.optional
NonEmptyRefererintAd impression or click with no referer will be filtered: 1 - Enabled, 0 - Disabled.optional
RefererMatchintReferer in ad impression or click and site URL should match: 1 - Enabled, 0 - Disabled.optional
IpMatchintReal user’s IP address in ad impression or click and user IP parameter should match: 1 - Enabled, 0 - Disabled.optional
UaMatchintReal user’s User Agent in ad impression or click and user agent parameter should match: 1 - Enabled, 0 - Disabled.optional
AllowIpV6intAllow IPv6 addresses. 1 - Enabled, 0 - Disabled.optional
CheckSiteLiveintCheck if source website is live. 1 - Enabled, 0 - Disabled.optional
JsCheckintCheck invalid traffic using JavaScript when redirect to destination occurs. 1 - Enabled, 0 - Disabled.optional
IabCategoriesstring[]IAB categories of the site to enable (filter) from supply endpoints. See Info -> Get IAB categories for a list of available categories.optional
Countriesobject[]Array of Country objects that should be sent like in JSON example. CC values in objects must be ISO-3166-1-alpha-2 country codes. See Info -> Get countries for a list of available countries.optional
Osobject[]Array of Os objects that should be sent like in JSON example. Not all operating systems have their versions, so for them you don’t have to include Versions array in object. See Info -> Get operating systems for a list of available operating systems and their versions.optional
Browsersobject[]Array of Browser objects that should be sent like in JSON example. Not all web browsers have their versions, so for them you don’t have to include Versions array in object. See Info -> Get web browsers for a list of available web browsers and their versions.optional
DeviceTypesint[]Array of Device Type Rev objects that should be sent like in JSON example. See ORTB Info -> ORTB Device Type Rev for a list of available device types.optional
RtbEpsint[]Array of RTB EPs’ IDs to connect to the DSP Pop Feed. This will make the DSP Pop Feed appear in RTB EP response if all the targeting is matched.optional
PopFeedsint[]Array of XML Pop Feeds’ IDs to connect to the DSP Pop Feed. This will make the DSP Pop Feed appear in XML Pop Feed response if all the targeting is matched.optional
JSON payload example
{
"DspPopFeed": {
"Id": 1,
"Name": "DSP Pop Feed 1",
"Tags": [
1
],
"FeedUrlUsEast": "https://us-east.advertiser.com/pop?feed=123",
"FeedUrlEu": "https://eu-east.advertiser.com/pop?feed=123",
"FeedUrlApac": "https://eu-east.advertiser.com/pop?feed=123",
"StatsApi": "",
"StatsDashboardUrl": "",
"DirectUrl": "",
"FixedSpendCpc": 0.01,
"MaxQps": 0,
"AutoOptimize": 1,
"PriceImp1000": 0,
"SendOriginalSite": 0,
"RequestsDailyLimit": 0,
"BidsDailyLimit": 0,
"ImpressionsDailyLimit": 0,
"ImpressionsLimitPerIp": 5,
"RevenueDailyLimit": 0.0,
"MaxBidfloor": 0.8,
"MinTmax": 350,
"MaxIvt": 50.0,
"DomainsBrandsListMode": 0,
"DomainsBrandsList": [
1
],
"PubIdListMode": 0,
"PubIdList": "",
"IpBlacklists": [
1
],
"NonEmptyReferer": 1,
"RefererMatch": 1,
"IpMatch": 1,
"UaMatch": 1,
"AllowIpV6": 1,
"CheckSiteLive": 0,
"JsCheck": 0,
"IabCategories": [
"IAB1-1",
"IAB2-1",
"IAB3"
],
"Countries": [
{
"CC": "US"
}
],
"Os": [
{
"Family": "Windows",
"Versions": [
{
"Major": "10",
"Minor": ""
}
]
}
],
"Browsers": [
{
"Family": "Chrome"
}
],
"DeviceTypes": [
1,
2,
3,
4,
5
],
"RtbEps": [
1
],
"PopFeeds": [
1
]
}
}
Success JSON
{
"Status": "Ok",
"DspPopFeed": {
"Id": 1,
"TeamId": 1,
"AdvertiserId": 1,
"AdvertiserName": "Advertiser",
"Name": "DSP Pop Feed 1",
"Tags": [
1
],
"FeedUrlUsEast": "https://us-east.advertiser.com/pop?feed=123",
"FeedUrlEu": "https://eu-east.advertiser.com/pop?feed=123",
"FeedUrlApac": "https://eu-east.advertiser.com/pop?feed=123",
"StatsApi": "",
"StatsDashboardUrl": "",
"DirectUrl": "",
"FixedSpendCpc": 0.01,
"MaxQps": 0,
"AutoOptimize": 1,
"PriceImp1000": 0,
"SendOriginalSite": 0,
"RequestsDailyLimit": 0,
"BidsDailyLimit": 0,
"ImpressionsDailyLimit": 0,
"ImpressionsLimitPerIp": 5,
"RevenueDailyLimit": 0.0,
"MaxBidfloor": 0.8,
"MinTmax": 350,
"MaxIvt": 50.0,
"DomainsBrandsListMode": 0,
"DomainsBrandsList": [
1
],
"PubIdListMode": 0,
"PubIdList": "",
"IpBlacklists": [
1
],
"NonEmptyReferer": 1,
"RefererMatch": 1,
"IpMatch": 1,
"UaMatch": 1,
"AllowIpV6": 1,
"CheckSiteLive": 0,
"JsCheck": 0,
"IabCategories": [
"IAB1-1",
"IAB2-1",
"IAB3"
],
"Countries": [
{
"CC": "US",
"Country": "United States"
}
],
"Os": [
{
"Family": "Windows",
"Versions": [
{
"Major": "10",
"Minor": ""
}
]
}
],
"Browsers": [
{
"Family": "Chrome"
}
],
"DeviceTypes": [
1,
2,
3,
4,
5
],
"RtbEps": [
1
],
"PopFeeds": [
1
],
"StatsByDate": "https://adelion.com/api/xml/stats/advertiser/pop?username=advertiser1&auth=7sdd23&feed=1&date_from={date_from}&date_to={date_to}&columns=DateStats,RemoteRequests,NetImpressions,Revenue",
"AvgRequestTimeMs": 55,
"Qps": 422,
"AccManagerId": 5,
"AccManagerName": "John Doe",
"Status": 0,
"StatusString": "Active"
}
}
Error JSON
{
"Status": "Error",
"Error": "[error description]"
}
Error CodeMeaning
400Bad Request — You sent a body that isn’t JSON.
401Unauthorized — Your access token is invalid.
406Not Acceptable — Some value(s) inside JSON are missing or malformed, or requested object is not found.
500Internal Server Error — We had a problem with our server. Try again later.